"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                   */
;/* empty css                                                                        */
const Vue = require("vue");
;/* empty css           */
const _pluginVue_exportHelper = require("../../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../../../node_modules/element-plus/es/components/container/index.js");
const index$1 = require("../../../../../../node_modules/element-plus/es/components/scrollbar/index.js");
const _sfc_main = {
  __name: "Main",
  props: {
    scrollbar: {
      type: Boolean,
      default: true
    }
  },
  emits: ["scroll"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const emit = __emit;
    function scroll(data) {
      emit("scroll", data);
    }
    const scrollbarRef = Vue.ref();
    function scrollTo(num) {
      scrollbarRef.value.scrollTo({ behavior: "smooth", top: num });
    }
    __expose({
      scrollTo
    });
    return (_ctx, _cache) => {
      const _component_el_scrollbar = index$1.ElScrollbar;
      const _component_el_main = index.ElMain;
      return Vue.openBlock(), Vue.createBlock(_component_el_main, { class: "fec-el-main" }, {
        default: Vue.withCtx(() => [
          props.scrollbar ? (Vue.openBlock(), Vue.createBlock(_component_el_scrollbar, {
            key: 0,
            ref_key: "scrollbarRef",
            ref: scrollbarRef,
            onScroll: scroll,
            style: { "flex": "1" }
          }, {
            default: Vue.withCtx(() => [
              Vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
            ]),
            _: 3
          }, 512)) : Vue.renderSlot(_ctx.$slots, "default", { key: 1 }, void 0, true)
        ]),
        _: 3
      });
    };
  }
};
const component = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-a59457ae"]]);
exports.default = component;
